# $Revision: 1.20 $, $Date: 2007/04/25 11:38:41 $
# TODO:
#  - do something with *.rdf file, there is file conflict with other lang packages
#
Summary:	Polish resources for Mozilla-thunderbird
Summary(pl.UTF-8):	Polskie pliki językowe dla Mozilli-thunderbird
Name:		mozilla-thunderbird-lang-pl
Version:	2.0.0.0
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/linux-i686/xpi/pl.xpi
# Source0-md5:	db1d58d424b1d182e308319a1c3d6806
URL:		http://www.thunderbird.pl/
BuildRequires:	unzip
Requires:	mozilla-thunderbird >= %{version}
Provides:	mozilla-thunderbird-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_thunderbirddir	%{_datadir}/mozilla-thunderbird
%define		_chromedir		%{_thunderbirddir}/chrome

%description
Polish resources for Mozilla-thunderbird.

%description -l pl.UTF-8
Polskie pliki językowe dla Mozilli-thunderbird.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_thunderbirddir}/{defaults/profile,searchplugins}}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/pl.jar $RPM_BUILD_ROOT%{_chromedir}/pl-PL.jar
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_thunderbirddir}/defaults/profile
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
cat $RPM_BUILD_ROOT%{_libdir}/chrome.manifest | sed 's: pl : pl-PL :g; s:chrome/pl:pl-PL:g ' \
	> $RPM_BUILD_ROOT%{_chromedir}/pl-PL.manifest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/pl-PL.jar
%{_chromedir}/pl-PL.manifest
#%{_chromedir}/chromelist.txt
%{_thunderbirddir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-thunderbird-lang-pl.spec,v $
Revision 1.20  2007/04/25 11:38:41  pascalek
- Release 2
- chromelist.txt conflicts wiht mozilla-thunderbird
- manifest file fixed

Revision 1.19  2007/04/19 19:11:38  glen
- 2.0.0.0-release

Revision 1.18  2007/04/01 15:45:46  glen
- noarch

Revision 1.17  2007/04/01 15:41:03  glen
- 2.0b2

Revision 1.16  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.14  2006/11/15 11:23:41  qboosh
- updated to 1.5.0.8 (still doesn't work)

Revision 1.13  2006/09/16 21:52:26  hawk
- updated to 1.5.0.7

Revision 1.12  2006/08/08 12:13:42  hawk
- updated to 1.5.0.5

Revision 1.11  2006/06/11 19:54:14  hawk
- oops! release 1

Revision 1.10  2006/06/11 19:50:34  hawk
- updated to 1.5.0.4

Revision 1.9  2006/04/30 21:01:48  dzeus
- md5

Revision 1.8  2006/04/30 09:01:04  dzeus
- up to 1.5.0.2, not tested

Revision 1.7  2006/02/28 13:26:52  qboosh
- proper md5 (for thunderbird 1.5, not firefox 1.5.0.1)
- really dropped installed-chrome.txt
- still doesn't work

Revision 1.6  2006/02/09 08:46:27  qboosh
- dropped installed-chrome.txt (not used in 1.5)

Revision 1.5  2006/02/09 01:32:11  wolvverine
- pl.manifest

Revision 1.4  2006/02/09 01:10:20  wolvverine
- NFY
- move chrome files

Revision 1.3  2006/02/09 00:57:30  wolvverine
- up to 1.5
- NFY

Revision 1.2  2006/02/02 12:19:32  qboosh
- fixed URL

Revision 1.1  2006/02/02 12:15:23  qboosh
- new, for 1.0.7 for now
  requires firefox-like installed-chrome.txt and mozilla-thunderbird.sh changes
  in mozilla-thunderbird package
